Index: trunk/data/konvert/postnas_0.7/alkis-trigger-kill-oracle.sql
===================================================================
--- trunk/data/konvert/postnas_0.7/alkis-trigger-kill-oracle.sql	(revision 208)
+++ trunk/data/konvert/postnas_0.7/alkis-trigger-kill-oracle.sql	(revision 209)
@@ -8,5 +8,5 @@
 	gml_id varchar2(2047);
 BEGIN
-	:NEW.typename := lower(:NEW.typename);
+	:NEW.typename := upper(substr(:NEW.typename,1,30));
 	:NEW.context  := lower(:NEW.context);
 	gml_id        := substr(:NEW.featureid, 1, 16);
@@ -72,5 +72,5 @@
 /
 
-show errors trigger delete_feature_trigger;
+-- show errors trigger delete_feature_trigger;
 
 QUIT;
Index: trunk/data/konvert/postnas_0.7/alkis_PostNAS_0.7_ORACLE_schema.sql
===================================================================
--- trunk/data/konvert/postnas_0.7/alkis_PostNAS_0.7_ORACLE_schema.sql	(revision 208)
+++ trunk/data/konvert/postnas_0.7/alkis_PostNAS_0.7_ORACLE_schema.sql	(revision 209)
@@ -5,4 +5,6 @@
 set serveroutput on
 set autocommit on
+set feedback off
+set verify off
 
 define alkis_epsg=&1
@@ -153,4 +155,5 @@
 CREATE INDEX ALKIS_18 ON AX_SOLL(ORA_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARALLEL;
 CREATE UNIQUE INDEX ALKIS_19 ON ax_soll (gml_id,beginnt);
+COMMENT ON TABLE ax_soll IS '''Soll'' ist eine runde, oft steilwandige Vertiefung in den norddeutschen GrundmorÃ€nenlandschaften; kann durch Abschmelzen von ÃŒberschÃŒtteten ToteisblÃ¶cken (Toteisloch) oder durch Schmelzen periglazialer Eislinsen entstanden sein.';
 DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_BEWERTUNG';
 BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_BEWERTUNG CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
@@ -173,4 +176,5 @@
 COMMENT ON TABLE  ax_bewertung        IS 'B e w e r t u n g';
 COMMENT ON COLUMN ax_bewertung.gml_id IS 'Identifikator, global eindeutig';
+COMMENT ON TABLE ax_bewertung  IS '''Bewertung'' ist die Klassifizierung einer FlÃ€che nach dem Bewertungsgesetz (BewertungsflÃ€che).';
 DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_TAGESABSCHNITT';
 BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_TAGESABSCHNITT CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
@@ -191,4 +195,5 @@
 CREATE INDEX ALKIS_24 ON AX_TAGESABSCHNITT(ORA_GEOMETRY) INDEXTYPE IS MDSYS.SPATIAL_INDEX PARALLEL;
 CREATE UNIQUE INDEX ALKIS_25 ON ax_tagesabschnitt (gml_id,beginnt);
+COMMENT ON TABLE ax_tagesabschnitt  IS '''Tagesabschnitt'' ist ein Ordnungskriterium der SchÃ€tzungsarbeiten fÃŒr eine BewertungsflÃ€che. Innerhalb der Tagesabschnitte sind die GrablÃ¶cher eindeutig zugeordnet.';
 DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_DENKMALSCHUTZRECHT';
 BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_DENKMALSCHUTZRECHT CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
@@ -238,4 +243,5 @@
 CREATE UNIQUE INDEX ALKIS_32 ON ax_forstrecht (gml_id,beginnt);
 CREATE INDEX ALKIS_33 ON ax_forstrecht(land,stelle);
+COMMENT ON TABLE ax_forstrecht IS '''Forstrecht'' ist die auf den Grund und Boden bezogene BeschrÃ€nkung, Belastung oder andere Eigenschaft einer FlÃ€che nach Ã¶ffentlichen, forstrechtlichen Vorschriften.';
 DELETE FROM user_sdo_geom_metadata WHERE upper(table_name)='AX_GEBAEUDEAUSGESTALTUNG';
 BEGIN EXECUTE IMMEDIATE 'DROP TABLE AX_GEBAEUDEAUSGESTALTUNG CASCADE CONSTRAINTS'; EXCEPTION WHEN OTHERS THEN NULL; END;
@@ -3420,6 +3426,4 @@
 INSERT INTO user_sdo_geom_metadata(table_name,column_name,srid,diminfo) VALUES ('AX_VERWALTUNG','DUMMY',&&alkis_epsg,mdsys.sdo_dim_array(mdsys.sdo_dim_element('X',200000,800000,0.001),mdsys.sdo_dim_element('Y',5200000,6100000,0.001)));
 COMMENT ON TABLE  ax_verwaltung  IS 'V e r w a l t u n g';
-COMMENT ON TABLE geometry_columns IS 'Metatabelle der Geometrie-Tabellen, Tabellen ohne Geometrie bekommen Dummy-Eintrag fÃŒr PostNAS-Konverter (GDAL/OGR)';
-COMMENT ON TABLE spatial_ref_sys  IS 'Koordinatensysteme und ihre Projektionssparameter';
 purge recyclebin;
 QUIT;
Index: trunk/data/konvert/postnas_0.7/pg-to-oci.pl
===================================================================
--- trunk/data/konvert/postnas_0.7/pg-to-oci.pl	(revision 208)
+++ trunk/data/konvert/postnas_0.7/pg-to-oci.pl	(revision 209)
@@ -41,5 +41,5 @@
 	s/\s*--.*$//;
 
-	s/^\s+SET client_encoding = 'UTF8';/set serveroutput on\nset autocommit on\n/;
+	s/^\s+SET client_encoding = 'UTF8';/set serveroutput on\nset autocommit on\nset feedback off\nset verify off\n/;
 	s/^\s+SET default_with_oids = false;/define alkis_epsg=\&1/;
 	s/\\set ON_ERROR_STOP/whenever sqlerror exit 1/;
@@ -104,4 +104,6 @@
 	s/([A-Z_]{30})[A-Z_]+/\U$1/gi;
 
+	next if /^COMMENT ON TABLE (geometry_columns|spatial_ref_sys)/;
+
 	next if /^\s*$/;
 
Index: trunk/data/konvert/postnas_0.7/alkis-trigger-hist-oracle.sql
===================================================================
--- trunk/data/konvert/postnas_0.7/alkis-trigger-hist-oracle.sql	(revision 208)
+++ trunk/data/konvert/postnas_0.7/alkis-trigger-hist-oracle.sql	(revision 209)
@@ -28,5 +28,5 @@
 /
 
-show errors trigger alkis_beziehung_ins;
+-- show errors trigger alkis_beziehung_ins;
 
 CREATE OR REPLACE TRIGGER alkis_beziehungen_a_ins
@@ -40,5 +40,5 @@
 /
 
-show errors trigger alkis_beziehungen_a_ins
+-- show errors trigger alkis_beziehungen_a_ins
 
 CREATE OR REPLACE TRIGGER delete_feature_trigger
@@ -51,6 +51,7 @@
 	n INTEGER;
 BEGIN
-	:NEW.context := lower(:NEW.context);
-	gml_id       := substr(:NEW.featureid, 1, 16);
+	:NEW.typename := upper(substr(:NEW.typename, 1, 30));
+	:NEW.context  := lower(:NEW.context);
+	gml_id        := substr(:NEW.featureid, 1, 16);
 
 	IF :NEW.context IS NULL THEN
@@ -132,3 +133,3 @@
 /
 
-show errors trigger delete_feature_trigger;
+-- show errors trigger delete_feature_trigger;
Index: trunk/data/konvert/postnas_0.7/alkis_PostNAS_0.7_schema.sql
===================================================================
--- trunk/data/konvert/postnas_0.7/alkis_PostNAS_0.7_schema.sql	(revision 208)
+++ trunk/data/konvert/postnas_0.7/alkis_PostNAS_0.7_schema.sql	(revision 209)
@@ -48,14 +48,14 @@
 --                Typ 'GEOMETRY' bei Tabellen: AX_WegPfadSteig, AX_UntergeordnetesGewaesser
 
--- 2012-10-31 FJ  Trigger fuer NAS-Replace-Saetze repariert:
+-- 2012-10-31 FJ  Trigger fuer NAS-Replace-SÃ€tze repariert:
 --                siehe: FUNCTION delete_feature_kill()
 --                ax_historischesflurstueck.buchungsart ist Text nicht integer.
 
--- 2012-10-31 AE  Tabellen lÃ¶schen wurde auskommetiert, DB wird leer angelegt SELECT alkis_drop();
+-- 2012-10-31 AE  Tabellen lÃ¶schen wurde auskommentiert, DB wird leer angelegt SELECT alkis_drop();
 
 -- ** zwischenzeitliche Ãnderungen: siehe Kommentare im SVN
 
 -- 2013-01-15 FJ  Kommentare zu den letztlich hinzugekommenen Tabellen.
---                DarÃŒber kÃ¶nnen Tabellen aus diesem Script unterschieden werden 
+--                DarÃŒber kÃ¶nnen Tabellen aus diesem Script unterschieden werden
 --                von Tabellen, die PostNAS selbst generiert hat.
 
@@ -90,5 +90,5 @@
 
 -- Alle Tabellen lÃ¶schen
---SELECT alkis_drop();
+-- SELECT alkis_drop();
 
 -- Tabelle delete fÃŒr LÃ¶sch- und FortfÃŒhrungsdatensÃ€tze
@@ -280,5 +280,5 @@
 
 
--- S o l l 
+-- S o l l
 -- -------
 CREATE TABLE ax_soll (
@@ -299,5 +299,5 @@
 CREATE UNIQUE INDEX ax_soll_gml ON ax_soll USING btree (gml_id,beginnt);
 
--- COMMENT ON TABLE ax___  IS 'XXXX';
+COMMENT ON TABLE ax_soll IS '''Soll'' ist eine runde, oft steilwandige Vertiefung in den norddeutschen GrundmorÃ€nenlandschaften; kann durch Abschmelzen von ÃŒberschÃŒtteten ToteisblÃ¶cken (Toteisloch) oder durch Schmelzen periglazialer Eislinsen entstanden sein.';
 
 
@@ -324,5 +324,5 @@
 COMMENT ON COLUMN ax_bewertung.gml_id IS 'Identifikator, global eindeutig';
 
--- COMMENT ON TABLE ax___  IS 'XXXX';
+COMMENT ON TABLE ax_bewertung  IS '''Bewertung'' ist die Klassifizierung einer FlÃ€che nach dem Bewertungsgesetz (BewertungsflÃ€che).';
 
 
@@ -346,5 +346,5 @@
 CREATE UNIQUE INDEX ax_tagesabschnitt_gml ON ax_tagesabschnitt USING btree (gml_id,beginnt);
 
--- COMMENT ON TABLE ax___  IS 'XXXX';
+COMMENT ON TABLE ax_tagesabschnitt  IS '''Tagesabschnitt'' ist ein Ordnungskriterium der SchÃ€tzungsarbeiten fÃŒr eine BewertungsflÃ€che. Innerhalb der Tagesabschnitte sind die GrablÃ¶cher eindeutig zugeordnet.';
 
 
@@ -400,5 +400,5 @@
 CREATE INDEX ax_forstrecht_afs ON ax_forstrecht(land,stelle);
 
--- COMMENT ON TABLE ax___  IS 'XXXX';
+COMMENT ON TABLE ax_forstrecht IS '''Forstrecht'' ist die auf den Grund und Boden bezogene BeschrÃ€nkung, Belastung oder andere Eigenschaft einer FlÃ€che nach Ã¶ffentlichen, forstrechtlichen Vorschriften.';
 
 -- G e b Ã€ u d e a u s g e s t a l t u n g
@@ -3580,5 +3580,5 @@
 
 -- H Ã¶ h l e n e i n g a n g
--- ------------------------- 
+-- -------------------------
 CREATE TABLE ax_hoehleneingang (
 	ogc_fid			serial NOT NULL,