Index: trunk/data/konvert/postnas_0.7/alkis-functions.sql
===================================================================
--- trunk/data/konvert/postnas_0.7/alkis-functions.sql	(revision 210)
+++ trunk/data/konvert/postnas_0.7/alkis-functions.sql	(revision 211)
@@ -314,4 +314,14 @@
 			|| ' AND endet IS NULL'
 			INTO beginnt;
+	END IF;
+
+	IF beginnt IS NULL THEN
+		IF NEW.context = 'delete' OR NEW.safetoignore = 'true' THEN
+			RAISE NOTICE 'Kein Beginndatum fuer Objekt % gefunden - ignoriert.', alt_id;
+			NEW.ignored := true;
+			RETURN NEW;
+		ELSE
+			RAISE EXCEPTION 'Kein Beginndatum fuer Objekt % gefunden.', alt_id;
+		END IF;
 	END IF;
 
@@ -356,22 +366,18 @@
 				INTO endete;
 		END IF;
+
+		IF alt_id<>neu_id THEN
+			RAISE NOTICE 'Objekt % wird durch Objekt % ersetzt.', alt_id, neu_id;
+		END IF;
+
+		IF endete IS NULL THEN
+			RAISE NOTICE 'Kein Beginndatum fuer Objekt % gefunden.', neu_id;
+		END IF;
+
+		IF endete IS NULL OR beginnt=endete THEN
+			RAISE EXCEPTION 'Objekt % wird durch Objekt % ersetzt (leere Lebensdauer?).', alt_id, neu_id;
+		END IF;
 	ELSE
 		RAISE EXCEPTION '%: UngÃŒltiger Kontext % (''delete'' oder ''replace'' erwartet).', NEW.featureid, NEW.context;
-	END IF;
-
-	IF alt_id<>neu_id THEN
-		RAISE NOTICE 'Objekt % wird durch Objekt % ersetzt.', alt_id, neu_id;
-	END IF;
-
-	IF beginnt IS NULL THEN
-		RAISE NOTICE 'Kein Beginndatum fuer Objekt % gefunden.', alt_id;
-	END IF;
-
-	IF endete IS NULL THEN
-		RAISE NOTICE 'Kein Beginndatum fuer Objekt % gefunden.', neu_id;
-	END IF;
-
-	IF beginnt IS NULL OR endete IS NULL OR beginnt=endete THEN
-		RAISE EXCEPTION 'Objekt % wird durch Objekt % ersetzt (leere Lebensdauer?).', alt_id, neu_id;
 	END IF;
 
@@ -396,5 +402,5 @@
 
 			IF NOT endete IS NULL THEN
-				RAISE NOTICE '%: Objekte bereits % ungegegangen - ignoriert', NEW.featureid, endete;
+				RAISE NOTICE '%: Objekt bereits % untergegangen - ignoriert', NEW.featureid, endete;
 			ELSE
 				RAISE NOTICE '%: Objekt nicht gefunden - ignoriert', NEW.featureid;
Index: trunk/data/konvert/postnas_0.7/alkis-trigger-hist-oracle.sql
===================================================================
--- trunk/data/konvert/postnas_0.7/alkis-trigger-hist-oracle.sql	(revision 210)
+++ trunk/data/konvert/postnas_0.7/alkis-trigger-hist-oracle.sql	(revision 211)
@@ -90,4 +90,14 @@
 	END IF;
 
+	IF beginnt IS NULL THEN
+		IF :NEW.context = 'delete' OR :NEW.safetoignore = 'true' THEN
+			dbms_output.put_line('Kein Beginndatum fuer Objekt ' || alt_id || ' gefunden.');
+			:NEW.ignored := 'true';
+			RETURN;
+		ELSE
+			raise_application_error(-20100, 'Kein Beginndatum fuer Objekt ' || alt_id || ' gefunden.');
+		END IF;
+	END IF;
+
 	IF :NEW.context='delete' THEN
 		SELECT to_char(sysdate, 'YYYY-MM-DD"T"HH24:MI:SS"Z"') INTO endete FROM dual;
@@ -130,22 +140,18 @@
 				INTO endete;
 		END IF;
+
+		IF alt_id<>neu_id THEN
+			dbms_output.put_line('Objekt ' || alt_id || ' wird durch Objekt ' || neu_id || ' ersetzt.');
+		END IF;
+
+		IF endete IS NULL THEN
+			dbms_output.put_line('Kein Beginndatum fuer Objekt ' || neu_id || '.');
+		END IF;
+
+		IF endete IS NULL OR beginnt=endete THEN
+			raise_application_error(-20100, 'Objekt ' || alt_id || ' wird durch Objekt ' || neu_id || ' ersetzt (leere Lebensdauer?).');
+		END IF;
 	ELSE
 		raise_application_error(-20100, :NEW.featureid || ': UngÃŒltiger Kontext ' || :NEW.context || '''delete'' oder ''replace'' erwartet).');
-	END IF;
-
-	IF alt_id<>neu_id THEN
-		dbms_output.put_line('Objekt ' || alt_id || ' wird durch Objekt ' || neu_id || ' ersetzt.');
-	END IF;
-
-	IF beginnt IS NULL THEN
-		dbms_output.put_line('Kein Beginndatum fuer Objekt ' || alt_id || '.');
-	END IF;
-
-	IF endete IS NULL THEN
-		dbms_output.put_line('Kein Beginndatum fuer Objekt ' || neu_id || '.');
-	END IF;
-
-	IF beginnt IS NULL OR endete IS NULL OR beginnt=endete THEN
-		raise_application_error(-20100, 'Objekt ' || alt_id || ' wird durch Objekt ' || neu_id || ' ersetzt (leere Lebensdauer?).');
 	END IF;
 
@@ -163,4 +169,18 @@
 			:NEW.ignored := 'true';
 			RETURN;
+		ELSIF n=0 THEN
+			EXECUTE IMMEDIATE 'SELECT endet FROM ' || :NEW.typename ||
+				' WHERE gml_id=''' || alt_id || '''' ||
+				' AND beginnt=''' || beginnt || ''''
+				INTO endete;
+
+			IF NOT endete IS NULL THEN
+				dbms_output.put_line( :NEW.featureid || ': Objekt bereits ' || endete || ' untergegangen - ignoriert' );
+			ELSE
+				dbms_output.put_line( :NEW.featureid || ': Objekt nicht gefunden - ignoriert' );
+			END IF;
+
+			:NEW.ignored := 'true';
+			RETURN;
 		ELSE
 			raise_application_error(-20100, :NEW.featureid || ': Untergangsdatum von ' || n || ' Objekten statt nur einem auf ' || endete || ' gesetzt - Abbruch' );
@@ -169,5 +189,4 @@
 
 	:NEW.ignored := 'false';
-	RETURN;
 END delete_feature_trigger;
 /