Index: trunk/mapproxy/projects/alkisrlp.yaml
===================================================================
--- trunk/mapproxy/projects/alkisrlp.yaml	(revision 217)
+++ trunk/mapproxy/projects/alkisrlp.yaml	(revision 217)
@@ -0,0 +1,78 @@
+base: ../base.yaml
+
+# 2011-09-19 F.J.
+
+services:
+  demo:
+  #kml:
+  #tms:
+  wms:
+    #srs: ['EPSG:4326', 'EPSG:25832', 'EPSG:31467', 'EPSG:54004']
+    srs: ['EPSG:4326', 'EPSG:25832', 'EPSG:54004']
+    #attribution:
+    #  text: "Â© Geobasisdaten Liegenschaftskataster Kreis ...."
+    md:
+      title: "c: ALKIS"
+      abstract: Liegenschaftskataster ALKIS Demokarte RLP Mustermonzel. Beschleunigt ueber MapProxy
+      online_resource: http://mapproxy.org/
+      contact:
+        person: Frank Jaeger
+        position: GIS-Administrator
+        organization: Kommunales Rechenzentrum Minden-Ravensberg/Lippe 
+        address: Am Lindenhaus 21
+        city: Lemgo
+        postcode: 32657
+        country: Germany
+        phone: +49(0)5261-252-185
+        fax: +49(0)5261-932-185
+        email: f.jaeger@krz.de
+      access_constraints: 'Nur fuer den Dienstgebrauch'
+      fees: 'None'
+
+layers:
+  - name: alkis_nutzung
+    title: Nutzungsarten
+    sources: [alkisrlp_nutzg_c]
+  - name: alkis
+    title: ALKIS
+    sources: [alkisrlp_c]
+    
+caches:
+  alkisrlp_c:
+    grids: [alkis_rlp_grid]
+    #sources: ["alkis:ax_klassifizierungnachstrassenrecht,ax_naturumweltoderbodenschutzrecht,ax_anderefestlegungnachwasserrecht,ax_bauraumoderbodenordnungsrecht_umrandung,ax_denkmalschutzrecht,ax_sonstigesrecht,ax_gebaeude,ax_bauteil,ax_besonderegebaeudelinie,ag_t_gebaeude,ax_flurstueck,ax_besondereflurstuecksgrenze,ag_l_flurstueck,ag_p_flurstueck,ag_t_flurstueck,ax_punktortta,ap_pto,ap_lpo","alkis_fi:ax_flurstueck"]
+    # ohne Gruppe 'recht'
+    sources: ["alkis:ax_gebaeude,ax_bauteil,ax_besonderegebaeudelinie,ag_t_gebaeude,ax_flurstueck,ax_besondereflurstuecksgrenze,ag_l_flurstueck,ag_p_flurstueck,ag_t_flurstueck,ax_punktortta,ap_pto,ap_lpo","alkis_fi:ax_flurstueck"]
+
+  alkisrlp_nutzg_c:
+    grids: [alkis_rlp_nua_grid]
+    sources: ["alkis:ax_wohnbauflaeche,ax_industrieundgewerbeflaeche,ax_halde,ax_bergbaubetrieb,ax_tagebaugrubesteinbruch,ax_flaechegemischternutzung,ax_flaechebesondererfunktionalerpraegung,ax_sportfreizeitunderholungsflaeche,ax_friedhof,ax_strassenverkehr,ax_weg,ax_platz,ax_bahnverkehr,ax_flurverkehr,ax_schiffsverkehr,ax_landwirtschaft,ax_wald,ax_gehoelz,ax_heide,ax_moor,ax_sumpf,ax_unlandvegetationsloseflaeche,ax_vegetationsmerkmal,ax_fliessgewaesser,ax_hafenbecken,ax_stehendesgewaesser"]
+
+sources:
+  # fuer Karte
+  alkis:
+    type: wms
+    wms_opts:
+      legendgraphic: true
+    # rlp
+    coverage:
+      bbox: "349550,5529460,355140,5532210"
+      bbox_srs: "EPSG:25832"
+    req:
+      #url: http://wms.krz.de/cgi-bin/mapserv5?
+      #map: /data/wms/alkis/alkis05rlp.map
+      url: http://wms.krz.de/cgi-bin/alkis05rlp.xml?
+      transparent: true
+      format: image/png
+  # fuer Feature-Info
+  alkis_fi:
+    type: wms
+    wms_opts:
+      featureinfo: true
+      map: false
+    req:
+      #url: http://wms.krz.de/cgi-bin/mapserv5?
+      #map: /data/wms/alkis/alkis05rlp.map
+      url: http://wms.krz.de/cgi-bin/alkis05rlp.xml?
+  debug:
+    type: debug
Index: trunk/mapproxy/base.yaml
===================================================================
--- trunk/mapproxy/base.yaml	(revision 217)
+++ trunk/mapproxy/base.yaml	(revision 217)
@@ -0,0 +1,34 @@
+# Nur Teile der 'base.yaml', die fuer ALKIS (PostNAS) relevant sind
+
+# 2011-09-19  grid fuer RLP (ALKIS-Demo)
+
+grids:
+  alkis_rlp_grid:
+    srs: "EPSG:25832"
+    bbox: "349000,5529000,356000,5533000"
+    bbox_srs: "EPSG:25832"
+    num_levels: 8
+    res: [
+  3.5277777778,  # 0 10000
+  1.7638888889,  # 1  5000
+  0.8819444444,  # 2  2500
+  0.6173611111,  # 3  Mittel
+  0.3527777778,  # 4  1000
+  0.26458333335, # 5   750 = Pos. FS
+  0.1763888889,  # 6   500
+  0.0881944444   # 7   250
+]
+
+  alkis_rlp_nua_grid:
+    srs: "EPSG:25832"
+    bbox: "349000,5529000,356000,5533000"
+    bbox_srs: "EPSG:25832"
+    num_levels: 6
+    res: [
+  3.5277777778,  # 0 10000
+  1.7638888889,  # 1  5000
+  0.8819444444,  # 2  2500
+  0.3527777778,  # 3  1000
+  0.1763888889,  # 4   500
+  0.0881944444   # 5   250
+]
Index: trunk/mapproxy/seed/alkisrlp.yaml
===================================================================
--- trunk/mapproxy/seed/alkisrlp.yaml	(revision 217)
+++ trunk/mapproxy/seed/alkisrlp.yaml	(revision 217)
@@ -0,0 +1,78 @@
+# MapProxy-Seeds und -Cleanups fuer ALKIS Mustermonzel
+# TESTBESTAND
+
+# Stand
+#  2011-09-19
+
+# alkis_grid:     
+# 0=10.000  1=5.000  2=2.500  3=1.750  4=1.000  5=750  6=500  7=250
+
+# alkis_nua_grid:
+# 0=10.000  1=5.000  2=2.500  3=1.000  4=500  5=250
+
+seeds:
+
+  # RLP Demo Mustermonzel
+  alkisrlp:
+    caches: [alkisrlp_c]
+    grids: [alkis_rlp_grid]
+    coverages: [alkis_rlp_demo]
+    levels:
+      from: 0
+      to: 6
+    refresh_before:
+      days: 2
+
+  alkisrlp_nutzg:
+    caches: [alkisrlp_nutzg_c]
+    grids: [alkis_rlp_nua_grid]
+    coverages: [alkis_rlp_demo]
+    levels:
+      from: 0
+      to: 4
+    refresh_before:
+      days: 2
+
+cleanups:
+
+  # grosse Masstaebe 1:1.750-1:250 aufraeumen
+  alkisrlp_g:
+    caches: [alkisrlp_c]
+    grids: [alkis_rlp_grid]
+    #coverages: [alkis_rlp_demo]
+    remove_before:
+      days: 2
+    levels:
+      from: 3
+      to: 7
+
+  # kleine Masstaebe 1:10.000-2.500 aufraeumen
+  alkisrlp_k:
+    caches: [alkisrlp_c]
+    grids: [alkis_rlp_grid]
+    #coverages: [alkis_rlp_demo]
+    remove_before:
+      days: 2
+    levels:
+      from: 0
+      to: 2
+
+  # Nutzung aufraeumen
+  alkisrlp_n:
+    caches: [alkisrlp_nutzg_c]
+    grids: [alkis_rlp_nua_grid]
+    #coverages: [alkis_rlp_demo]
+    remove_before:
+      days: 2
+    levels:
+      from: 0
+      to: 5
+
+
+coverages:
+
+  alkis_rlp_demo:
+    #box: "349000,5527000,356000,5536000" # = grid
+    # Ausschnitt eng um das Testgebiet:
+    bbox: "349550,5529460,355140,5532210"
+    bbox_srs: "EPSG:25832"
Index: trunk/mapproxy/script/seed_alkisrlp.sh
===================================================================
--- trunk/mapproxy/script/seed_alkisrlp.sh	(revision 217)
+++ trunk/mapproxy/script/seed_alkisrlp.sh	(revision 217)
@@ -0,0 +1,18 @@
+#!/bin/bash
+# MapProxy-Kacheln auf Vorrat generieren
+# 2011-09-06
+# Doku: http://mapproxy.org/docs/1.1.1/seed.html
+# Ausfuehren mit "sudo su www-data"
+echo "MapProxy seeding ALKIS DEMO Mustermonzel"
+echo "** Bitte ausfuehren als User www-data"
+#
+  mapproxy-seed --proxy-conf=/data/mapproxy/projects/alkisrlp.yaml  \
+                --seed-conf=/data/mapproxy/seed/alkisrlp.yaml  \
+                --concurrency 1  \
+                --seed  alkisrlp 
+#
+  mapproxy-seed --proxy-conf=/data/mapproxy/projects/alkisrlp.yaml  \
+                --seed-conf=/data/mapproxy/seed/alkisrlp.yaml  \
+                --concurrency 1  \
+                --seed  alkisrlp_nutzg 
+#